﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1065: ADJ IEEE /5700A
DATE:                  2017-03-20 11:03:13
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       41
NUMBER OF LINES:       1731
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Source:          Calibration & Servicing Handbook
#                   Part Number 850047
#                   Issue 3 (SEPT.1984)
#
#  Source Author:   Portocal II
#                   Adjustment
#                   Datron 1065
#                   Version 1.10
#                   Full Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   1 Short Link
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time (s)
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  HEAD         Test Equipment Requirements
  1.007  DISP         [32]This procedure requires the following
  1.007  DISP         [32]test equipment:
  1.007  DISP
  1.007  DISP         One Short Link


  1.008  PIC          1081back
  1.009  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.009  DISP         Warm Up period.
  1.010  PIC          1081_enb

# Metcal Initial Setup
  1.011  IEEE         [SRQ OFF]

# Initial UUT Setup
  1.012  IEEE         O0
  1.013  IEEE         Q1
  1.014  IEEE         T2
  1.015  IEEE         W1
  1.016  IEEE         I0
  1.017  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.018  MATH         S[20]="DC Voltage"

  1.019  HEAD         Identify Options Fitted

# AC Voltage
  1.020  MATH         S[21]="AC Voltage"
  1.021  IEEE         F2[D1000]
  1.022  IEEE         [SPL80]
  1.023  JMPL         RES_OPT  MEM != 80
  1.024  MATH         S[21]=""

# Resistance
  1.025  LABEL        RES_OPT
  1.026  MATH         S[22]="Resistance"
  1.027  IEEE         F1[D1000]
  1.028  IEEE         [SPL80]
  1.029  JMPL         DISP_OPT MEM != 80
  1.030  MATH         S[22]=""


  1.031  LABEL        DISP_OPT
  1.032  DISP         1065 With Functions Fitted:
  1.032  DISP         [32]                        [S20]
  1.032  DISP         [32]                        [S21]
  1.032  DISP         [32]                        [S22]



  1.033  RSLT         =1065 With Functions Fitted:
  1.034  RSLT         =[32]              [S20]
  1.035  RSLT         =[32]              [S21]
  1.036  RSLT         =[32]              [S22]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.037  LABEL        Begin

#Load Registers with Options Fitted
  1.038  MATH         S[10] = S[20]
  1.039  MATH         S[11] = S[21]
  1.040  MATH         S[12] = S[22]

  1.041  HEAD         Function Selection
  1.042  OPBR         [32] Do you wish to run the whole procedure?
  1.043  JMPL         Run_Some MEM1 ==-1
  1.044  JMPL         Finish_Selection

  1.045  LABEL        Run_Some
  1.046  OPBR         Do you want to run the [S10] Performance
  1.046  OPBR         Verification tests?
  1.047  JMPL         ACV MEM1==1
  1.048  MATH         S[10] = ""

  1.049  LABEL        ACV
  1.050  JMPL         RES CMPI ("",S[11]) == 1
  1.051  OPBR         Do you want to run the [S11]
  1.051  OPBR         Performance Verification tests?
  1.052  JMPL         RES MEM1==1
  1.053  MATH         S[11] = ""

  1.054  LABEL        RES
  1.055  JMPL         Finish_Selection CMPI ("",S[12]) == 1
  1.056  OPBR         Do you want to run the [S12]
  1.056  OPBR         Performance Verification tests?
  1.057  JMPL         Finish_Selection  MEM1==1
  1.058  MATH         S[12] = ""


#Display Selections Chosen
  1.059  LABEL        Finish_Selection

  1.060  OPBR         [32]Performance Tests Chosen:
  1.060  OPBR         [32]                 [S10]
  1.060  OPBR         [32]                 [S11]
  1.060  OPBR         [32]                 [S12]
  1.060  OPBR
  1.060  OPBR         (YES to continue/ NO to reselect)
  1.061  JMPL         Begin MEM1==-1

  1.062  5700         *                                                 S
  1.063  IEEE         W1


#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.064  JMPL         SKIP_DCV  CMPI ("DC Voltage",S[10]) != 1

  1.065  RSLT         =
  1.066  HEAD         {Function: DC Voltage}
  1.067  TARGET       -p

# Measurement Setup
  1.068  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
  1.069  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
  1.070  MATH         S[27] = "C0"

  1.071  MATH         MEM1  = 0


# ***************** 10V RANGE LINEARITY ****************
  1.072  ASK-                              U

  1.073  PIC          1065shrt

# Set String Registers:        Range          Units
  1.074  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  1.075  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
  1.076  RSLT         =
  1.077  RSLT         =10V Range Linearity
  1.078  IEEE         F3R4C1A2


# Setup Registers      Delay Time      Message
  1.079  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  1.080  MATH         M[104] = .001

# 57xx Setup
  1.081  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  1.082  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Lin
  1.083  MATH         M[105]  = 40    ;    S[30] = "G4"

  1.084  CALL         Sub Datron 10xx Cal Adjust IEEE
  1.085  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.086  IEEE         [D2000]
  1.087  MATH         M[4] = ABS(M[4] * 1e4)
  1.088  EVAL   -e   (M[4]) < (M[104] * 1e4):Lin Reading [M4] < 10 Digits


 # ***************** 10V RANGE ****************
  2.001  ASK+                              U
  2.002  PIC          1065in57

# Set String Registers:        Range          Units
  2.003  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  2.004  MATH         M[103] = 1

# UUT Setup to 10V Range
  2.005  RSLT         =
  2.006  RSLT         =10V Range
  2.007  IEEE         F3R4C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  2.008  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  2.009  MATH         M[104] = 0.0001

# 57xx Setup
  2.010  MMFC                                      10V
  2.011  5700         0V                                                S  2W
  2.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  2.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  2.014  MATH         M[105]  = 40    ;    S[30] = "G0"
  2.015  CALL         Sub Datron 10xx Cal Adjust IEEE
  2.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  2.017  IEEE         [D2000]

# Take Reading
  2.018  TARGET       -m
  2.019  CALL         Sub Datron 10xx Take Reading IEEE
  2.020  MEMCX        +0.0000V       M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
  3.001  MATH         M[255] = 10

# Set Tolerance
  3.002  MATH         M[104] = 0.0003

# 57xx Setup
  3.003  MMFC                                      10V
  3.004  5700         10V                                               S  2W
  3.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  3.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  3.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  3.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  3.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  3.010  IEEE         [D2000]

# Take Reading
  3.011  TARGET       -m
  3.012  CALL         Sub Datron 10xx Take Reading IEEE
  3.013  MEMCX        10.0000V       M104U


# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
  4.001  MATH         M[255] = 10

# Set Tolerance
  4.002  MATH         M[104] = 0.0003

# 57xx Setup
  4.003  MMFC                                      10V
  4.004  5700         -10V                                              S  2W
  4.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  4.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  4.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  4.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  4.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.010  IEEE         [D2000]

# Take Reading
  4.011  TARGET       -m
  4.012  CALL         Sub Datron 10xx Take Reading IEEE
  4.013  MEMCX        -10.0000V      M104U




# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  5.001  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  5.002  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  5.003  RSLT         =
  5.004  RSLT         =100 mV Range
  5.005  IEEE         F3R2C0A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  5.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  5.007  MATH         M[104] = 0.003

# 57xx Setup
  5.008  MMFC                                      100mV
  5.009  5700         0mV                                               S  2W
  5.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  5.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  5.012  MATH         M[105]  = 40    ;    S[30] = "G0"

  5.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  5.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  5.015  IEEE         [D2000]

# Take Reading
  5.016  TARGET       -m
  5.017  CALL         Sub Datron 10xx Take Reading IEEE
  5.018  MEMCX        +0.000mV       M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 10

# Set Tolerance
  6.002  MATH         M[104] = 0.005

# 57xx Setup
  6.003  MMFC                                      100mV
  6.004  5700         100mV                                             S  2W
  6.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  6.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Gain Cal
  6.007  MATH         M[105]  = 20    ;    S[30] = "G1"

  6.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  6.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  6.010  IEEE         [D2000]


# Take Reading
  6.011  TARGET       -m
  6.012  CALL         Sub Datron 10xx Take Reading IEEE
  6.013  MEMCX        100.000mV      M104U


# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  7.001  MATH         M[255] = 10

# Set Tolerance
  7.002  MATH         M[104] = 0.005

# 57xx Setup
  7.003  MMFC                                      100mV
  7.004  5700         -100mV                                            S  2W
  7.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  7.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  7.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  7.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  7.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.010  IEEE         [D2000]

# Take Reading
  7.011  TARGET       -m
  7.012  CALL         Sub Datron 10xx Take Reading IEEE
  7.013  MEMCX        -100.000mV     M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  8.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  8.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  8.003  RSLT         =
  8.004  RSLT         =1V Range
  8.005  IEEE         F3R3C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  8.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  8.007  MATH         M[104] = 0.00001

# 57xx Setup
  8.008  MMFC                                      1V
  8.009  5700         0V                                                S  2W
  8.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  8.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  8.012  MATH         M[105]  = 40    ;    S[30] = "G0"
  8.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  8.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  8.015  IEEE         [D2000]

# Take Reading
  8.016  TARGET       -m
  8.017  CALL         Sub Datron 10xx Take Reading IEEE
  8.018  MEMCX        +0.00000V      M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  9.001  MATH         M[255] = 10

# Set Tolerance
  9.002  MATH         M[104] = 0.00003

# 57xx Setup
  9.003  MMFC                                      1V
  9.004  5700         1V                                                S  2W
  9.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  9.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  9.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  9.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  9.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  9.010  IEEE         [D2000]

# Take Reading
  9.011  TARGET       -m
  9.012  CALL         Sub Datron 10xx Take Reading IEEE
  9.013  MEMCX        1.00000V       M104U


# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
 10.001  MATH         M[255] = 10

# Set Tolerance
 10.002  MATH         M[104] = 0.00003

# 57xx Setup
 10.003  MMFC                                      1V
 10.004  5700         -1V                                               S  2W
 10.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 10.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 10.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 10.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 10.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.010  IEEE         [D2000]

# Take Reading
 10.011  TARGET       -m
 10.012  CALL         Sub Datron 10xx Take Reading IEEE
 10.013  MEMCX        -1.00000V      M104U




# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 11.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 11.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 11.003  RSLT         =
 11.004  RSLT         =100 V Range
 11.005  IEEE         F3R5C0A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 11.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 11.007  MATH         M[104] = 0.001

# 57xx Setup
 11.008  MMFC                                      100V
 11.009  5700         0V                                                S  2W
 11.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 11.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 11.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 11.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 11.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 11.015  IEEE         [D2000]

# Take Reading
 11.016  TARGET       -m
 11.017  CALL         Sub Datron 10xx Take Reading IEEE
 11.018  MEMCX        +0.000V        M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 10

# Set Tolerance
 12.002  MATH         M[104] = 0.004

# 57xx Setup
 12.003  MMFC                                      100V
 12.004  5700         100V                                              S  2W
 12.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 12.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 12.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 12.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 12.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 12.010  IEEE         [D2000]

# Take Reading
 12.011  TARGET       -m
 12.012  CALL         Sub Datron 10xx Take Reading IEEE
 12.013  MEMCX        100.000V       M104U


# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 13.001  MATH         M[255] = 10

# Set Tolerance
 13.002  MATH         M[104] = 0.004

# 57xx Setup
 13.003  MMFC                                      100V
 13.004  5700         -100V                                             S  2W
 13.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 13.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 13.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 13.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 13.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.010  IEEE         [D2000]

# Take Reading
 13.011  TARGET       -m
 13.012  CALL         Sub Datron 10xx Take Reading IEEE
 13.013  MEMCX        -100.000V      M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 14.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 14.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 14.003  RSLT         =
 14.004  RSLT         =1000V Range
 14.005  IEEE         F3R6C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 14.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 14.007  MATH         M[104] = 0.01

# 57xx Setup
 14.008  MMFC                                      100V
 14.009  5700         0V                                                S  2W
 14.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 14.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 14.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 14.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 14.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 14.015  IEEE         [D2000]

# Take Reading
 14.016  TARGET       -m
 14.017  CALL         Sub Datron 10xx Take Reading IEEE
 14.018  MEMCX        +0.00V         M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 15.001  MATH         M[255] = 10

# Set Tolerance
 15.002  MATH         M[104] = 0.04

# 57xx Setup
 15.003  MMFC                                      1000V
 15.004  5700         1000V                                             S  2W
 15.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 15.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 15.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 15.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 15.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 15.010  IEEE         [D2000]

# Take Reading
 15.011  TARGET       -m
 15.012  CALL         Sub Datron 10xx Take Reading IEEE
 15.013  MEMCX        1000.00V       M104U


# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 16.001  MATH         M[255] = 10

# Set Tolerance
 16.002  MATH         M[104] = 0.04

# 57xx Setup
 16.003  MMFC                                      1000V
 16.004  5700         -1000V                                            S  2W
 16.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 16.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 16.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 16.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 16.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 16.010  IEEE         [D2000]

# Take Reading
 16.011  TARGET       -m
 16.012  CALL         Sub Datron 10xx Take Reading IEEE
 16.013  MEMCX        -1000.00V      M104U


# Rest After High Voltage
 17.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 17.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 17.003  CALL         Sub Wait

 17.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 17.005  JMPL         SKIP_ACV  CMPI ("AC Voltage",S[11])!= 1

 17.006  RSLT         =
 17.007  HEAD         {Function: AC Voltage}
 17.008  TARGET       -p

# Measurement Setup
 17.009  VSET         NTHROW = 1 NMEAS = 5


 17.010  PIC          1065shrt

# UUT Setup Filter when Carrying out Adjustment
 17.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 17.012  MATH         S[27] = "C1"



 17.013  ASK-                              U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 17.014  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 17.015  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 17.016  RSLT         =
 17.017  RSLT         =1V Range
 17.018  IEEE         F2R3C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 17.019  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 17.020  MATH         M[104] = 0.0005

# 57xx Setup

 17.021  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 17.022  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 17.023  MATH         M[105]  = 5    ;    S[30] = "G0"

 17.024  CALL         Sub Datron 10xx Cal Adjust IEEE
 17.025  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 17.026  IEEE         [D2000]

# Take Reading
 17.027  TARGET       -m
 17.028  CALL         Sub Datron 10xx Take Reading IEEE
 17.029  MEMCX        +0.00000V      M104U

# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 18.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 18.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 18.003  RSLT         =
 18.004  RSLT         =10V Range
 18.005  IEEE         F2R4C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 18.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 18.007  MATH         M[104] = 0.005

# 57xx Setup

 18.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 18.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 18.010  MATH         M[105]  = 5     ;    S[30] = "G0"

 18.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 18.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 18.013  IEEE         [D2000]

# Take Reading
 18.014  TARGET       -m
 18.015  CALL         Sub Datron 10xx Take Reading IEEE
 18.016  MEMCX        +0.0000V       M104U

# ***************** 100V RANGE ****************

# Set String Registers:        Range          Units
 19.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 19.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 19.003  RSLT         =
 19.004  RSLT         =100V Range
 19.005  IEEE         F2R5C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 19.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 19.007  MATH         M[104] = 0.050

# 57xx Setup

 19.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 19.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 19.010  MATH         M[105]  = 5    ;    S[30] = "G0"

 19.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 19.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 19.013  IEEE         [D2000]

# Take Reading
 19.014  TARGET       -m
 19.015  CALL         Sub Datron 10xx Take Reading IEEE
 19.016  MEMCX        +0.000V        M104U

# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 20.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 20.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 20.003  RSLT         =
 20.004  RSLT         =1000V Range
 20.005  IEEE         F2R6C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 20.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 20.007  MATH         M[104] = 0.5

# 57xx Setup
 20.008  MMFC                                      100V
 20.009  5700         0mV                                               S  2W
 20.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 20.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 20.012  MATH         M[105]  = 5    ;    S[30] = "G0"

 20.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 20.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 20.015  IEEE         [D2000]

# Take Reading
 20.016  TARGET       -m
 20.017  CALL         Sub Datron 10xx Take Reading IEEE
 20.018  MEMCX        +0.00V         M104U

 21.001  ASK+                              U
 21.002  PIC          1065in57

# UUT Setup Filter when Carrying out Adjustment
 21.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 21.004  MATH         S[27] = "C1"


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 21.005  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 21.006  MATH         M[103] = 1

# UUT Setup to 1V Range
 21.007  RSLT         =
 21.008  RSLT         =1V Range
 21.009  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 21.010  MATH         M[255] = 10

# Set Tolerance
 21.011  MATH         M[104] = 0.0009

# 57xx Setup
 21.012  MMFC                                      1V
 21.013  5700         1V                           500H                 S  2W
 21.014  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 21.015  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 21.016  MATH         M[105]  = 20    ;    S[30] = "G1"
 21.017  CALL         Sub Datron 10xx Cal Adjust IEEE
 21.018  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 21.019  IEEE         [D2000]

# Take Reading
 21.020  TARGET       -m
 21.021  CALL         Sub Datron 10xx Take Reading IEEE
 21.022  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 30 kHz Output ********************************

# Setup Registers      Delay Time
 22.001  MATH         M[255] = 10

# Set Tolerance
 22.002  MATH         M[104] = 0.004

# 57xx Setup
 22.003  MMFC                                      1V
 22.004  5700         1V                           30kH                 S  2W
 22.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 22.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 22.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 22.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 22.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 22.010  IEEE         [D2000]

# Take Reading
 22.011  TARGET       -m
 22.012  CALL         Sub Datron 10xx Take Reading IEEE
 22.013  MEMCX        1.00000V       M104U         30kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 23.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 23.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 23.003  RSLT         =
 23.004  RSLT         =10V Range
 23.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 23.006  MATH         M[255] = 10

# Set Tolerance
 23.007  MATH         M[104] = 0.009

# 57xx Setup
 23.008  MMFC                                      10V
 23.009  5700         10V                          500H                 S  2W
 23.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 23.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 23.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 23.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 23.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 23.015  IEEE         [D2000]

# Take Reading
 23.016  TARGET       -m
 23.017  CALL         Sub Datron 10xx Take Reading IEEE
 23.018  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 24.001  MATH         M[255] = 10

# Set Tolerance
 24.002  MATH         M[104] = 0.04

# 57xx Setup
 24.003  MMFC                                      10V
 24.004  5700         10V                          30kH                 S  2W
 24.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 24.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 24.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 24.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 24.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 24.010  IEEE         [D2000]

# Take Reading
 24.011  TARGET       -m
 24.012  CALL         Sub Datron 10xx Take Reading IEEE
 24.013  MEMCX        10.0000V       M104U         30kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 25.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 25.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 25.003  RSLT         =
 25.004  RSLT         =100 V Range
 25.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 25.006  MATH         M[255] = 10

# Set Tolerance
 25.007  MATH         M[104] = 0.09

# 57xx Setup
 25.008  MMFC                                      100V
 25.009  5700         100V                         500H                 S  2W
 25.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 25.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 25.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 25.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 25.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 25.015  IEEE         [D2000]

# Take Reading
 25.016  TARGET       -m
 25.017  CALL         Sub Datron 10xx Take Reading IEEE
 25.018  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 26.001  MATH         M[255] = 10

# Set Tolerance
 26.002  MATH         M[104] = 0.4

# 57xx Setup
 26.003  MMFC                                      100V
 26.004  5700         100V                         30kH                 S  2W
 26.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 26.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 26.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 26.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 26.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.010  IEEE         [D2000]

# Take Reading
 26.011  TARGET       -m
 26.012  CALL         Sub Datron 10xx Take Reading IEEE
 26.013  MEMCX        100.000V       M104U         30kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 27.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 27.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 27.003  RSLT         =
 27.004  RSLT         =1000 V Range
 27.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 27.006  MATH         M[255] = 10

# Set Tolerance
 27.007  MATH         M[104] =.9

# 57xx Setup
 27.008  MMFC                                      1000V
 27.009  5700         1000V                        500H                 S  2W
 27.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 27.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 27.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 27.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 27.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 27.015  IEEE         [D2000]

# Take Reading
 27.016  TARGET       -m
 27.017  CALL         Sub Datron 10xx Take Reading IEEE
 27.018  MEMCX        1000.00V       M104U         500H

# ********************* 200V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 28.001  MATH         M[255] = 10

# Set Tolerance
 28.002  MATH         M[104] = .13

# 57xx Setup
 28.003  MMFC                                      1000V
 28.004  5700         200V                         20kH                 S  2W
 28.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 28.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 28.007  MATH         M[105]  = 20    ;    S[30] = "K200G3"
 28.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 28.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 28.010  IEEE         [D2000]

# Take Reading
 28.011  TARGET       -m
 28.012  CALL         Sub Datron 10xx Take Reading IEEE
 28.013  MEMCX        200.00V        M104U         20kH


# Rest After High Voltage
 29.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 29.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 29.003  CALL         Sub Wait

 29.004  LABEL        SKIP_ACV



#**************************** RESISTANCE *******************************
#***********************************************************************
 29.005  JMPL         SKIP_RES  CMPI ("Resistance",S[12])!= 1

 29.006  RSLT         =
 29.007  HEAD         {Function: Resistance}
 29.008  TARGET       -p

# Measurement Setup
 29.009  VSET         NTHROW = 1 NMEAS = 5


# Set Numeric Register:  Units
 29.010  MATH         M[103] = 1   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 29.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 29.012  MATH         S[27] = "C1"


# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 29.013  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 29.014  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 29.015  RSLT         =
 29.016  RSLT         =100 Ohm Range
 29.017  IEEE         F1R2C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 29.018  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 29.019  MATH         M[104] = 0.004

# 57xx Setup
 29.020  MMFC         *
 29.021  5700         0Z                                                S  4W
 29.022  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 29.023  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 29.024  MATH         M[105]  = 40    ;    S[30] = "G0"
 29.025  CALL         Sub Datron 10xx Cal Adjust IEEE
 29.026  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 29.027  IEEE         [D2000]

# Take Reading
 29.028  TARGET       -m
 29.029  CALL         Sub Datron 10xx Take Reading IEEE
 29.030  MEMCX        +0.000Z        M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 30.001  MATH         M[255] = 10

# Set Tolerance
 30.002  MATH         M[104] = 0.007

# 57xx Setup
 30.003  5700         100Z                                              S  4W
 30.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 30.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 30.006  MATH         M[105]  = 20

 30.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 30.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 30.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 30.010  IEEE         [D2000]

# Take Reading
 30.011  TARGET       -m
 30.012  CALL         Sub Datron 10xx Take Reading IEEE
 30.013  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 31.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 31.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 31.003  RSLT         =
 31.004  RSLT         =1 kOhm Range
 31.005  IEEE         F1R3C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 31.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 31.007  MATH         M[104] = 0.00001

# 57xx Setup
 31.008  MMFC         *
 31.009  5700         0kZ                                               S  4W
 31.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 31.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 31.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 31.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 31.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 31.015  IEEE         [D2000]

# Take Reading
 31.016  TARGET       -m
 31.017  CALL         Sub Datron 10xx Take Reading IEEE
 31.018  MEMCX        +0.00000kZ     M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 32.001  MATH         M[255] = 10

# Set Tolerance
 32.002  MATH         M[104] = 0.00003

# 57xx Setup
 32.003  5700         1kZ                                               S  4W
 32.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 32.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 32.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 32.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 32.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.009  IEEE         [D2000]

# Take Reading
 32.010  TARGET       -m
 32.011  CALL         Sub Datron 10xx Take Reading IEEE
 32.012  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 33.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 33.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 33.003  RSLT         =
 33.004  RSLT         =10 kOhm Range
 33.005  IEEE         F1R4C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 33.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 33.007  MATH         M[104] = 0.0001

# 57xx Setup
 33.008  MMFC         *
 33.009  5700         0kZ                                               S  4W
 33.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 33.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 33.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 33.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 33.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 33.015  IEEE         [D2000]

# Take Reading
 33.016  TARGET       -m
 33.017  CALL         Sub Datron 10xx Take Reading IEEE
 33.018  MEMCX        +00.0000kZ     M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 34.001  MATH         M[255] = 10

# Set Tolerance
 34.002  MATH         M[104] = 0.0003

# 57xx Setup
 34.003  5700         10kZ                                              S  4W
 34.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 34.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 34.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 34.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 34.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 34.009  IEEE         [D2000]

# Take Reading
 34.010  TARGET       -m
 34.011  CALL         Sub Datron 10xx Take Reading IEEE
 34.012  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 35.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 35.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 35.003  RSLT         =
 35.004  RSLT         =100 kOhm Range
 35.005  IEEE         F1R5C0A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 35.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 35.007  MATH         M[104] = 0.001

# 57xx Setup
 35.008  MMFC         *
 35.009  5700         0kZ                                               S  4W
 35.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 35.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 35.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 35.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 35.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.015  IEEE         [D2000]

# Take Reading
 35.016  TARGET       -m
 35.017  CALL         Sub Datron 10xx Take Reading IEEE
 35.018  MEMCX        +0.000kZ       M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 36.001  MATH         M[255] = 10

# Set Tolerance
 36.002  MATH         M[104] = 0.003

# 57xx Setup
 36.003  5700         100kZ                                             S  4W
 36.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 36.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 36.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 36.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 36.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 36.009  IEEE         [D2000]

# Take Reading
 36.010  TARGET       -m
 36.011  CALL         Sub Datron 10xx Take Reading IEEE
 36.012  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 37.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 37.002  MATH         M[103] = 1e3

# UUT Setup Filter when Carrying out Adjustment
 37.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 37.004  MATH         S[27] = "C1"


# UUT Setup to 1000 kOhm Range
 37.005  RSLT         =
 37.006  RSLT         =1000 kOhm Range
 37.007  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 37.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 37.009  MATH         M[104] = 0.01

# 57xx Setup
 37.010  MMFC         *
 37.011  5700         0kZ                                               S  4W
 37.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 37.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 37.014  MATH         M[105]  = 40    ;    S[30] = "G0"
 37.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 37.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 37.017  IEEE         [D2000]

# Take Reading
 37.018  TARGET       -m
 37.019  CALL         Sub Datron 10xx Take Reading IEEE
 37.020  MEMCX        +0.000kZ       M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 38.001  MATH         M[255] = 10

# Set Tolerance
 38.002  MATH         M[104] = 0.11

# 57xx Setup
 38.003  5700         1000kZ                                            S  4W
 38.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 38.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 38.006  MATH         M[105]  = 20

 38.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"G1"

 38.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 38.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 38.010  IEEE         [D2000]

# Take Reading
 38.011  TARGET       -m
 38.012  CALL         Sub Datron 10xx Take Reading IEEE
 38.013  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 39.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 39.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 39.003  RSLT         =
 39.004  RSLT         =10 MOhm Range
 39.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 39.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 39.007  MATH         M[104] = 0.0001

# 57xx Setup
 39.008  MMFC         *
 39.009  5700         0MZ                                               S  4W
 39.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 39.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 39.012  MATH         M[105]  = 40    ;    S[30]= "G0"
 39.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 39.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 39.015  IEEE         [D2000]

# Take Reading
 39.016  TARGET       -m
 39.017  CALL         Sub Datron 10xx Take Reading IEEE
 39.018  MEMCX        +0.0000MZ      M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 40.001  MATH         M[255] = 10

# Set Tolerance
 40.002  MATH         M[104] = 0.0021

# 57xx Setup
 40.003  5700         10MZ                                              S  4W
 40.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 40.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 40.006  MATH         M[105]  = 20

 40.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E+3"&"G1"

 40.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 40.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 40.010  IEEE         [D2000]

# Take Reading
 40.011  TARGET       -m
 40.012  CALL         Sub Datron 10xx Take Reading IEEE
 40.013  MEMCX        MZ             M104U


# Rest After High Voltage
 41.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 41.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 41.003  CALL         Sub Wait


 41.004  LABEL        SKIP_RES

 41.005  PIC          1081_dis
 41.006  HEAD         End of Procedure
 41.007  IEEE         W0
 41.008  IEEE         [GTL]
 41.009  DISP         Disconnect all connections and Power Down the UUT.
 41.010  LABEL        END
 41.011  END
